## kmouth 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kmouth VERSION ${RELEASE_SERVICE_VERSION})
set(QT_REQUIRED_VERSION "6.6.0")
set(KF_MIN_VERSION "6.3.0")


if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    PrintSupport
    TextToSpeech
    Xml
    Widgets
)

find_package(KF6  ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

ecm_setup_version(${kmouth_VERSION}
    VARIABLE_PREFIX KMOUTH
    VERSION_HEADER version.h
)

include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( books )

include_directories(./wordcompletion/  )


########### next target ###############
add_executable(kmouth)

target_sources(kmouth PRIVATE
    ./phrasebook/phrasebookreader.cpp
    ./phrasebook/phrasebookdialog.cpp
    ./phrasebook/initialphrasebookwidget.cpp
    ./phrasebook/phrasebook.cpp
    ./wordcompletion/wordlist.cpp
    ./wordcompletion/wordcompletion.cpp
    ./wordcompletion/wordcompletionwidget.cpp
    ./wordcompletion/dictionarycreationwizard.cpp
    texttospeechconfigurationwidget.cpp
    optionsdialog.cpp
    configwizard.cpp
    phraselist.cpp
    speech.cpp
    texttospeechsystem.cpp
    kmouth.cpp
    main.cpp

    kmouth.qrc
)

ki18n_wrap_ui(kmouth
    ./phrasebook/phrasebookdialog.ui
    ./wordcompletion/creationsourceui.ui
    ./wordcompletion/creationsourcedetailsui.ui
    ./wordcompletion/kdedocsourceui.ui
    ./wordcompletion/wordcompletionui.ui
    preferencesui.ui
    texttospeechconfigurationui.ui )


target_link_libraries(kmouth
                      KF6::Completion
                      KF6::ConfigCore
                      KF6::Crash
                      KF6::KIOCore
                      KF6::KIOWidgets
                      KF6::I18n
                      KF6::WidgetsAddons
                      KF6::XmlGui
                      Qt::PrintSupport
                      Qt::TextToSpeech
                      Qt::Widgets
                      Qt::Xml )

install(TARGETS kmouth  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kmouth.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kmouthrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install(FILES org.kde.kmouth.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===
########### install files ###############

ecm_install_icons(ICONS
    16-actions-phrase.png
    16-actions-phrasebook.png
    22-actions-phrase.png
    22-actions-phrasebook.png
    32-actions-phrase.png
    32-actions-phrasebook.png
    128-apps-kmouth.png
    sc-apps-kmouth.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
#

=== debian/changelog ===
kmouth (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:44:55 +0000

kmouth (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:19:39 +0000

## kmouth 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})
 set(QT_REQUIRED_VERSION "6.6.0")
 set(KF_MIN_VERSION "6.3.0")
 
+option(BUILD_DOC "Whether to build the documentation" ON)
 
 if(NOT MSVC)
     set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
@@ -40,18 +41,25 @@
     Widgets
 )
 
-find_package(KF6  ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Crash
     Completion
     Config
     ConfigWidgets
     CoreAddons
-    DocTools
     I18n
     KIO
     WidgetsAddons
     XmlGui
 )
+
+if(BUILD_DOC)
+    find_package(KF6DocTools ${KF_MIN_VERSION})
+    set_package_properties(KF6DocTools PROPERTIES
+        DESCRIPTION "Tools to generate documentation"
+        TYPE REQUIRED
+    )
+endif()
 
 ecm_setup_version(${kmouth_VERSION}
     VARIABLE_PREFIX KMOUTH
@@ -61,7 +69,6 @@
 include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
 ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
 
-add_subdirectory( doc )
 add_subdirectory( icons )
 add_subdirectory( books )
 
@@ -72,21 +79,21 @@
 add_executable(kmouth)
 
 target_sources(kmouth PRIVATE
-    ./phrasebook/phrasebookreader.cpp
-    ./phrasebook/phrasebookdialog.cpp
-    ./phrasebook/initialphrasebookwidget.cpp
-    ./phrasebook/phrasebook.cpp
-    ./wordcompletion/wordlist.cpp
-    ./wordcompletion/wordcompletion.cpp
-    ./wordcompletion/wordcompletionwidget.cpp
-    ./wordcompletion/dictionarycreationwizard.cpp
-    texttospeechconfigurationwidget.cpp
-    optionsdialog.cpp
-    configwizard.cpp
-    phraselist.cpp
-    speech.cpp
-    texttospeechsystem.cpp
-    kmouth.cpp
+    ./phrasebook/phrasebookreader.cpp ./phrasebook/phrasebookreader.h
+    ./phrasebook/phrasebookdialog.cpp ./phrasebook/phrasebookdialog.h
+    ./phrasebook/initialphrasebookwidget.cpp ./phrasebook/initialphrasebookwidget.h
+    ./phrasebook/phrasebook.cpp ./phrasebook/phrasebook.h
+    ./wordcompletion/wordlist.cpp ./wordcompletion/wordlist.h
+    ./wordcompletion/wordcompletion.cpp ./wordcompletion/wordcompletion.h
+    ./wordcompletion/wordcompletionwidget.cpp ./wordcompletion/wordcompletionwidget.h
+    ./wordcompletion/dictionarycreationwizard.cpp ./wordcompletion/dictionarycreationwizard.h
+    texttospeechconfigurationwidget.cpp texttospeechconfigurationwidget.h
+    optionsdialog.cpp optionsdialog.h
+    configwizard.cpp configwizard.h
+    phraselist.cpp phraselist.h
+    speech.cpp speech.h
+    texttospeechsystem.cpp texttospeechsystem.h
+    kmouth.cpp kmouth.h
     main.cpp
 
     kmouth.qrc
@@ -126,7 +133,11 @@
 install(FILES org.kde.kmouth.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ki18n_install(po)
-kdoctools_install(po)
+
+if(BUILD_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
kmouth (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:38 +0200

=== debian/control ===
Source: kmouth
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-speech-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kmouth/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmouth
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmouth.git
Rules-Requires-Root: no

Package: kmouth
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: type-and-say frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of the KDE accessibility module.

## kmouth 25.07.80

=== debian/changelog ===
kmouth (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:15:58 +0100

kmouth (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:59 +0100

kmouth (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:51:10 +0100

kmouth (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:10:42 +0100

kmouth (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:54:02 +0100

## kmouth 25.07.90

=== debian/changelog ===
kmouth (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:51:39 +0100

## kmouth 25.08.0

=== debian/changelog ===
kmouth (4:25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 23:46:59 +0000

kmouth (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:00:20 +0000

kmouth (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:32:59 +0000

kmouth (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:33:26 +0000

kmouth (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:22:51 +0000

kmouth (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:31:36 +0000

kmouth (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:54:06 +0000

kmouth (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:37:20 +0000

kmouth (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:29:05 +0000

kmouth (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:25:07 +0000

kmouth (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:33:45 +0000

kmouth (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:11:17 +0000

kmouth (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:42:32 +0000

kmouth (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:40:49 +0000

kmouth (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:18:52 +0000

kmouth (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:37:55 +0000

kmouth (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:29:42 +0000

kmouth (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:20:45 +0000

kmouth (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:00:18 +0000

kmouth (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:03:24 +0000

kmouth (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:34:59 +0000

kmouth (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:16:22 +0000

kmouth (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:05:20 +0000

kmouth (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:38:22 +0000

kmouth (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:27:25 +0000

kmouth (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:01:22 +0000

kmouth (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:38:29 +0000

kmouth (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:42:42 +0000

kmouth (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:27:29 +0000

kmouth (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:06:59 +0000

kmouth (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:55:28 +0000

kmouth (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:20:24 +0000

kmouth (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:13:11 +0000

kmouth (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:24:37 +0000

kmouth (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:04:32 +0000

kmouth (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:58:53 +0000

kmouth (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 08:56:05 +0000

kmouth (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:22 +0000

kmouth (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:15 +0000

kmouth (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:56:45 +0000

kmouth (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.06:09 +0000

kmouth (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:57:33 +0000

kmouth (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:08 +0000

kmouth (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:02:29 +0000

kmouth (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:15 +0000

kmouth (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.28:44 +0000

kmouth (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:36:09 +0000



## kmouth 25.08.1

=== debian/changelog ===
kmouth (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:55:22 +0100

kmouth (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:26:06 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem kf6

## kmouth 25.08.1+p24.04+vstable+git20250928.0635

=== debian/changelog ===
kmouth (4:25.08.1+p24.04+vstable+git20250928.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:35:25 +0000

kmouth (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:34:44 +0000

## kmouth 25.08.1+p24.04+vstable+git20251001.0808

=== debian/changelog ===
kmouth (4:25.08.1+p24.04+vstable+git20251001.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 08:08:28 +0000

=== debian/control ===
Source: kmouth
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-speech-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/kde/kmouth.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmouth
Maintainer: Neon CI <neon@kde.org>

Package: kmouth
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: type-and-say frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of the KDE accessibility module.

## kmouth 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmouth (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:49:21 +0100

=== debian/control ===
Source: kmouth
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-speech-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kmouth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmouth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmouth
Rules-Requires-Root: no

Package: kmouth
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: type-and-say frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of the KDE accessibility module.

## kmouth 25.08.2+p24.04+vstable+git20251015.1222

=== debian/changelog ===
kmouth (4:25.08.2+p24.04+vstable+git20251015.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:22:59 +0000

kmouth (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:19:27 +0000

## kmouth 25.08.2+p24.04+vstable+git20251019.0310

=== debian/changelog ===
kmouth (4:25.08.2+p24.04+vstable+git20251019.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:10:15 +0000

## kmouth 25.08.2+p24.04+vstable+git20251031.0915

=== debian/changelog ===
kmouth (4:25.08.2+p24.04+vstable+git20251031.0915-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:15:36 +0000

## kmouth 25.08.3

=== doc/CMakeLists.txt ===
########### install files ###############

#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kmouth)
kdoctools_create_manpage(man-kmouth.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kmouth (4:25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:48:20 +0000

kmouth (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:55 +1000

## kmouth 25.08.3+p24.04+vunstable+git20251123.1312

=== debian/changelog ===
kmouth (4:25.08.3+p24.04+vunstable+git20251123.1312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:12:52 +0000

## kmouth 25.08.3+p24.04+vunstable+git20251204.0544

=== debian/changelog ===
kmouth (4:25.08.3+p24.04+vunstable+git20251204.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:44:39 +0000

## kmouth 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmouth (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:53:56 +0000

kmouth (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:16:09 +0000

## kmouth 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmouth (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:59 +0000

## kmouth 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmouth (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:02:42 +0000

kmouth (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:26 +1000

## kmouth 25.12.0+p24.04+vstable+git20251226.0322

=== debian/changelog ===
kmouth (4:25.12.0+p24.04+vstable+git20251226.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:22:11 +0000

## kmouth 25.12.1

=== debian/changelog ===
kmouth (4:25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 11:07:48 +0000

kmouth (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:32:32 +1000

## kmouth 25.12.1+p24.04+vstable+git20260130.0803

=== debian/changelog ===
kmouth (4:25.12.1+p24.04+vstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:51 +0000

## kmouth 25.12.1+p24.04+vstable+git20260205.0425

=== debian/changelog ===
kmouth (4:25.12.1+p24.04+vstable+git20260205.0425-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:25:42 +0000

## kmouth 25.12.1+p24.04+vunstable+git20260205.0650

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmouth VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kmouth (4:25.12.1+p24.04+vunstable+git20260205.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:50:45 +0000

## kmouth 25.12.2

=== debian/changelog ===
kmouth (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:25:46 +0000

kmouth (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:16:44 +0000

kmouth (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:08:26 +0000

kmouth (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:25:52 +0000

## kmouth 25.12.2+p24.04+vunstable+git20260206.1205

=== debian/changelog ===
kmouth (4:25.12.2+p24.04+vunstable+git20260206.1205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 12:05:46 +0000

kmouth (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:58:08 +0000
